macs2在python3下由于numpy不兼容导致无法使用

MACS2不知道为什么在python3里面安装了之后不能用,好像是numpy版本的问题,经检验python2.7依然可用。

显示报错为
ValueError: numpy.ufunc size changed, may indicate binary incompatibility. Expected 216 from C header, got 192 from PyObject
解决方案
conda create -n py27 python=2.7
conda activate py27
conda install macs2
macs2 callpeak .....
conda deactivate

https://www.jianshu.com/p/03c1de7e6ecd

Python量化投资网携手4326手游为资深游戏玩家推荐:《我在7年后等着你下载

「点点赞赏,手留余香」

    还没有人赞赏,快来当第一个赞赏的人吧!
0 条回复 A 作者 M 管理员
    所有的伟大,都源于一个勇敢的开始!
欢迎您,新朋友,感谢参与互动!欢迎您 {{author}},您在本站有{{commentsCount}}条评论